# calbuilder-woodpecker
Woodpecker action to build a package, analyze it with `namcap`, and output the package file (signed or unsigned) and its `.SRCINFO`.

This action supports PKGBUILDs that have AUR dependencies.

## Table of contents
  - [Inputs and outputs <a name="inputs-and-outputs-"></a>](#inputs-and-outputs-)
  - [Usage <a name="usage"></a>](#usage-)
  - [Contributing <a name="contributing"></a>](#contributing-)
  - [License <a name="license"></a>](#license-)

## Inputs and outputs <a name="inputs-and-outputs-"></a>
### Inputs:
* `pkgDir`: relative path to the PKGBUILD directory.
* `gpgPublicKey`: GPG public key that will be used to sign packages.
* `gpgPrivateKey`: GPG private key.
* `gpgPassphrase`: GPG passphrase of `gpgPrivateKey`.

It is recommended to store `gpgPrivateKey` and `gpgPassphrase` as secrets (see [Usage](#usage-)).

None of these inputs are required. 

### Outputs:
* `srcInfo`: Generated `.SRCINFO`.
* `pkgFile`: Built package file.

## Usage <a name="usage"></a>
```yaml
steps:
  webhook:
    image: slococo/calbuilder
    settings:
      pkgDir: "libxft-bgra"
      gpgPublicKey: "199980CE93F18E62"
      gpgPrivateKey:
	from_secret: GPG_PRIVATE_KEY
      gpgPassphrase:
	from_secret: GPG_PASSPHRASE
```

## Contributing <a name="contributing"></a>
PRs are welcome.

## License <a name="license"></a>
[MIT](https://git.slc.ar/slococo/calbuilder/src/branch/master/LICENSE.md)
